﻿namespace Mirea.Api.Dto.Common;

/// <summary>
/// Defines the actions that can be performed with an OAuth token.
/// </summary>
public enum OAuthAction
{
    /// <summary>
    /// The action to log in the user using the provided OAuth token.
    /// </summary>
    Login,

    /// <summary>
    /// The action to bind an OAuth provider to the user's account.
    /// </summary>
    Bind
}