﻿using System.Collections.Generic;

namespace Mirea.Api.DataAccess.Application.Cqrs.Discipline.Queries.GetDisciplineList;

/// <summary>
/// Represents a view model containing multiple disciplines name.
/// </summary>
public class DisciplineListVm
{
    /// <summary>
    /// The list of disciplines.
    /// </summary>
    public IEnumerable<DisciplineLookupDto> Disciplines { get; set; } = [];
}