﻿using MediatR;

namespace Mirea.Api.DataAccess.Application.Cqrs.Schedule.Queries.GetScheduleList;

public class GetScheduleListQuery : IRequest<ScheduleListVm>
{
    public int[]? GroupIds { get; set; }
    public int[]? DisciplineIds { get; set; }
    public int[]? LectureHallIds { get; set; }
    public int[]? ProfessorIds { get; set; }
    public int[]? LessonTypeIds { get; set; }
    public bool? IsEven { get; set; }
}