﻿using System.Collections.Generic;

namespace Mirea.Api.DataAccess.Application.Cqrs.Schedule.Queries.GetScheduleList;

/// <summary>
/// Represents a view model for a list of schedules.
/// </summary>
public class ScheduleListVm
{
    /// <summary>
    /// Gets or sets the list of schedules.
    /// </summary>
    public IEnumerable<ScheduleLookupDto> Schedules { get; set; } = [];
}