﻿namespace Mirea.Api.Dto.Common;

/// <summary>
/// Represents different OAuth providers for authentication.
/// </summary>
public enum OAuthProvider
{
    /// <summary>
    /// OAuth provider for Google.
    /// </summary>
    Google,

    /// <summary>
    /// OAuth provider for Yandex.
    /// </summary>
    Yandex,

    /// <summary>
    /// OAuth provider for Mail.ru.
    /// </summary>
    MailRu
}