﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Responses;

/// <summary>
/// Represents information about a lesson type.
/// </summary>
public class LessonTypeResponse
{
    /// <summary>
    /// Gets or sets the unique identifier of the lesson type.
    /// </summary>
    [Required]
    public int Id { get; set; }

    /// <summary>
    /// Gets or sets the name of the lesson type.
    /// </summary>
    [Required]
    public required string Name { get; set; }
}