﻿namespace Mirea.Api.DataAccess.Application.Cqrs.Faculty.Queries.GetFacultyList;

/// <summary>
/// Represents faculties.
/// </summary>
public class FacultyLookupDto
{
    /// <summary>
    /// The unique identifier for the faculty.
    /// </summary>
    public int Id { get; set; }

    /// <summary>
    /// The name of the faculty.
    /// </summary>
    public required string Name { get; set; }
}