﻿using System.Collections.Generic;

namespace Mirea.Api.DataAccess.Application.Cqrs.Group.Queries.GetGroupList;

/// <summary>
/// Represents a view model containing multiple groups name.
/// </summary>
public class GroupListVm
{
    /// <summary>
    /// The list of groups.
    /// </summary>
    public IEnumerable<GroupLookupDto> Groups { get; set; } = [];
}