﻿using System.Collections.Generic;

namespace Mirea.Api.DataAccess.Application.Cqrs.TypeOfOccupation.Queries.GetTypeOfOccupationList;

/// <summary>
/// Represents a view model containing multiple type of occupations.
/// </summary>
public class TypeOfOccupationListVm
{
    /// <summary>
    /// The list of type of occupations.
    /// </summary>
    public IEnumerable<TypeOfOccupationLookupDto> TypeOfOccupations { get; set; } = [];
}