﻿namespace Mirea.Api.DataAccess.Application.Cqrs.TypeOfOccupation.Queries.GetTypeOfOccupationList;

/// <summary>
/// Represents type of occupations.
/// </summary>
public class TypeOfOccupationLookupDto
{
    /// <summary>
    /// The unique identifier for the occupation.
    /// </summary>
    public int Id { get; set; }

    /// <summary>
    /// The name of the occupation.
    /// </summary>
    public required string Name { get; set; }
}