﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PsqlMigrations.Migrations
{
    /// <inheritdoc />
    public partial class RemoveUnusedRef : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Faculty_Campus_CampusId",
                table: "Faculty");

            migrationBuilder.DropIndex(
                name: "IX_Faculty_CampusId",
                table: "Faculty");

            migrationBuilder.DropColumn(
                name: "CampusId",
                table: "Faculty");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "CampusId",
                table: "Faculty",
                type: "INTEGER",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Faculty_CampusId",
                table: "Faculty",
                column: "CampusId");

            migrationBuilder.AddForeignKey(
                name: "FK_Faculty_Campus_CampusId",
                table: "Faculty",
                column: "CampusId",
                principalTable: "Campus",
                principalColumn: "Id",
                onDelete: ReferentialAction.SetNull);
        }
    }
}